Jesus Taiwan

耶穌台灣論壇

更新程式!

Webmaster Office - 給網站管理員的留言;網站管理員的碎碎念!

更新程式!

文章chienwen » 2007.05.12 週六 9:39 AM

jesus.tw security run output 寫:Checking for packages with security vulnerabilities:

Affected package: php4-4.4.6
Type of problem: php -- multiple vulnerabilities.
Reference: <php -- multiple vulnerabilities>

Affected package: mysql-server-4.0.27
Type of problem: mysql -- database "case-sensitive" privilege escalation.
Reference: <mysql -- database "case-sensitive" privilege escalation>

2 problem(s) in your installed packages found.

You are advised to update or deinstall the affected package(s) immediately.

mysql 己不再更新 4.0 版本, php4 也漸漸要被 php5 完全取代。
預定最近找個黃道吉日來更新程式。更新程式期間,論壇將無法使用,敬請包函。謝謝。
:)
頭像
chienwen
小班
 
文章: 231
註冊時間: 2006.07.25 週二 2:48 PM
來自: Yuanli, Miaoli

文章清溪 » 2007.05.12 週六 8:03 PM

程式更新需要多少時間呢?二十四小時?
頭像
清溪
幼幼班
 
文章: 79
註冊時間: 2006.11.27 週一 1:31 AM

文章chienwen » 2007.05.12 週六 10:56 PM

程式執行沒問題的話,一小時之內就可以更新完畢,包括資料庫備份與資料庫重置。
因為擔心 mysql5, php5, phpBB2 不知能不能和樂相處,所以一直沒更動。目前是 mysql4, php4, phpBB2 的組合。
:)
頭像
chienwen
小班
 
文章: 231
註冊時間: 2006.07.25 週二 2:48 PM
來自: Yuanli, Miaoli

文章清溪 » 2007.05.28 週一 3:48 PM

程式更新了嗎?
因為沒看到完成更新的公告。
頭像
清溪
幼幼班
 
文章: 79
註冊時間: 2006.11.27 週一 1:31 AM

文章chienwen » 2007.05.28 週一 4:46 PM

mysql 4 -> 5 一下子就改好了。
php 就很麻煩了。 phpBB2 不支援 php5,但 wiki 1.7 以後的版本一定要 php5 ...
我目前是用 phpBB2, php4, wiki 1.6 。
phpBB3 正式版快要公布了。等公佈後,再一起改為 php5, phpBB3, wiki 1.10

註: 我的 wiki 網站
:)
頭像
chienwen
小班
 
文章: 231
註冊時間: 2006.07.25 週二 2:48 PM
來自: Yuanli, Miaoli


回到 園丁室

誰在線上

正在瀏覽這個版面的使用者:沒有註冊會員 和 1 位訪客

cron